# wso2wsf Namespace Reference

namespace wso2wsf Namespace of WSO2 Web Services Framework. More...

## Classes
class | AuthenticationProvider
| class AuthenticationProvider Represents an interface needed implement any user specific authentication module. Extend from this class and implement the abstract methods defined here to implement a authentication provider. More...
class | TLSKey
| class TLSKey. This is an internal class for keeping managing the allocation and deallocation of thread local Storage which is used to store the axis2/c environment associated with each thread. More...
class | Environment
| Class Environment wraps the underlying axis2_environment which deals with memory allocation, threading, logging and error handling within the framework. Environment class hides all the complexcities of these and provides a simple interface. All the methods defined within the environment class are static. The method Environment::initialize() must be called before invoking any other methods from the WSF/CPP Framework for client side. More...
class | ICallback
| class ICallback Represents an interface needed to be implemented by an object that is used for passing callbacks for the request method in the ServiceClient Class, in a non-blocking scenario. More...
class | MessageContext
| Class MessageContext captures all state information related to a message invocation. It holds information on the service and operation to be invoked as well as context hierarchy information related to the service and operation. It also has information on transports, that are to be used in invocation. The phase information is kept, along with the phase at which message invocation was paused as well as the handler in the phase from which the invocation is to be resumed.Message context would hold the request SOAP message along the out path and would capture response along the in path. Message context also has information on various engine specific information, such as if it should be doing MTOM, REST. As message context is inherited form context, it has the capability of storing user defined properties. In addition to the methods exposed by the MessageContex class, the underlying axis2 level message context can also be accessed if required. More...
class | NeethiPolicy
| class NeethiPolicy Defines a policy object that can be used to provide WS-Policy information. This is a wrapper to the XML policy advertisement used in WS-Security, WS-Reliable Messaging etc. More...
class | OMAttribute
| class OMAttribute Defines the base class used to represent attributes in the Axis Object Model. Attributes are typically composed of a name and value pair. This class provides an abstraction to occurrences of attributes associated with the XML model. More...
class | OMDataHandler
| class OMDataHandler This class provides an interface to manipulate data in different sources and formats. It provides mechanisms of obtaining streams, reading and writing to files etc. This class has a great deal of importance with respect to attachments. More...
class | OMElement
| class OMElement A particular kind of node that represents an element infoset information item. An element has a collection of children, attributes, and namespaces. In contrast with DOM, this interface exposes namespaces separately from the attributes. More...
class | OMNamespace
| class OMNamespace Defines the base class used to represent namespaces in the Axis Object Model. Namespaces are typically composed of a prefix and URI pair which identifies the particular occurrence. This class provides an abstraction to namespace associated with the XML model. More...
class | OMNode
| class OMNode Defines the base interface used by most of the XML object model within Axis. This tree model for XML captures the idea of deferring the construction of child nodes until they are needed. The isComplete function identifies whether or not a particular node has been fully parsed. A node may not be fully parsed, for example, if all of the children of an element have not yet been parsed. More...
class | OMText
| class OMText This object can contain data as a String, char[] or a DataHandler. More...
class | Options
| class Options Holder for operation client options. This is used by the other classes in this package to configure various aspects of how a client communicates with a service. It exposes a number of predefined properties as part of the API (with specific getXXX and setXXX methods), and also allows for arbitrary named properties to be passed using a properties map with the property name as the key value. Instances of this class can be chained together for property inheritance, so that if a property is not set in one instance it will check its parent for a setting. More...
class | Parameter
| class Parameter Parameter is a class which abstract out name, value pairs which are used within Axis2/C Engine (WSF/CPP) to manage internal runtime configurations. More...
class | PasswordCallback
| class PasswordCallback Represents an interface that should be implemented by a user specific password callback. Extend from the PasswordCallback class and implement the abstract methods defined here. More...
class | Property
| class Property is an entity that contains various properties that can be set in an Options object. You can set properties using the appropriate constructor and retrieve them using a get method. More...
class | ReplayDetector
| class ReplayDetector Represents an interface needed implement any user specific replay detection logic. More...
class | SCTProvider
| class SCTProvider Represents an interface needed implement any user specific security context token provider functionality. For implementing a Token provider, one need to extend from the SCTProvider class and implement the abstract public methods defined by the SCTProvider class. More...
class | ServiceClient
| Class ServiceClient The service client Class serves as the primary client interface for consuming services. The Service Client is associated to a repository which includes an axis2.xml. Service client can be constructed by passing a configuration context as well. Optionally, you can pass options during the initialization. You also can explicitly set options. Advanced features such as engaging and disengaging modules, adding and removing headers are supported. Some methods in the client may throw exceptions identified as Axis Faults. There are several ways of invoking a service operation, which are based on the concept of a message exchange pattern (MEP). The two basic MEPs supported by service client are out-only and out-in. Each MEP can be used in either blocking or non-blocking mode.Out-only MEP means one way message which does not expect a response. Out-In MEP means a request response message exchange. The operation invocations using the service client API are based on the XML-in/XML-out principle: both the payload to be sent to the service and the result from the service are in XML, represented in AXIOM. More...
class | ServiceSkeleton
| class ServiceSkeleton represents the Interface that should be implemented by any CPP service to be deployed with WSF/CPP. This class defines 3 virtual methods which should be overridden by the implementation class. They are init() which performs any initialization required, invoke() which should handle the business logic processing for the services, and onFault() which should implement the fault handling. More...
class | Stub
| class Stub This object serves as the primary client API for consuming SOAP services. This is the base class for the codegenerated client side stub classes. More...
class | WSFault
| class WSFault. This class is a derivation of the Exception Class, and is used to implement exceptions generated from WSF/C++ Framework when a client or a server error happens. More...
class | Exception
| class Exception The Exception Class is an abstract base class that can be used to implement any type of exception. All exception classes used in this project are derived from this class. The process method is what does the necessary processing of the exception that was generated. The others are methods used for string manipulation. More...
## Functions
std::ostream & | operator<< (std::ostream &str, OMAttribute const &attribute)
std::ostream & | operator<< (std::ostream &str, OMAttribute const *attribute)
std::ostream & | operator<< (std::ostream &str, OMNamespace const &ns)
std::ostream & | operator<< (std::ostream &str, OMNamespace const *ns)
std::ostream & | operator<< (std::ostream &str, OMNode const &node)
std::ostream & | operator<< (std::ostream &str, OMNode const *node)
std::ostream & | operator<< (std::ostream &str, Exception const &e)
std::ostream & | operator<< (std::ostream &str, Exception const *e)

## Detailed Description

namespace wso2wsf Namespace of WSO2 Web Services Framework.

namespace wso2wsf namespace of WSO2 Web Services Framework.

## Function Documentation

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | Exception const * | e |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the exception onto a console.

Parameters:

  | str | existing stream.
  | e | exception object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | Exception const & | e |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the exception onto a console.

Parameters:

  | str | existing stream.
  | e | exception object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMNode const * | node |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the node onto a console.

Parameters:

  | str | existing stream.
  | node | OMNode object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMNode const & | node |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the node onto a console.

Parameters:

  | str | existing stream.
  | node | OMNode object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMNamespace const * | ns |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the namespace onto a console.

Parameters:

  | str | existing stream.
  | ns | OMNamespace object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMNamespace const & | ns |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the namespace onto a console.

Parameters:

  | str | existing stream.
  | ns | OMNamespace object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMAttribute const * | attribute |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the attribute onto a console.

Parameters:

  | str | existing stream.
  | attribute | OMAttribute object.

Returns:
  a modified output stream is returned.

std::ostream& wso2wsf::operator<< | ( | std::ostream & | str,
|  | OMAttribute const & | attribute |
| ) |  |  | `[inline]`

Overloaded insertion operator, is used for printing the attribute onto a console.

Parameters:

  | str | existing stream.
  | attribute | OMAttribute object.

Returns:
  a modified output stream is returned.